[arch-commits] Commit in (5 files)

Giovanni Scafora giovanni at archlinux.org
Sat Nov 21 19:30:19 EST 2009


    Date: Saturday, November 21, 2009 @ 19:30:19
  Author: giovanni
Revision: 59312

Added:
  iwlwifi-6000-ucode/
  iwlwifi-6000-ucode/repos/
  iwlwifi-6000-ucode/trunk/
  iwlwifi-6000-ucode/trunk/PKGBUILD
Modified:
  mercurial/trunk/PKGBUILD

-----------------------------------+
 iwlwifi-6000-ucode/trunk/PKGBUILD |   21 +++++++++++++++++++++
 mercurial/trunk/PKGBUILD          |    5 ++++-
 2 files changed, 25 insertions(+), 1 deletion(-)

Added: iwlwifi-6000-ucode/trunk/PKGBUILD
===================================================================
--- iwlwifi-6000-ucode/trunk/PKGBUILD	                        (rev 0)
+++ iwlwifi-6000-ucode/trunk/PKGBUILD	2009-11-22 00:30:19 UTC (rev 59312)
@@ -0,0 +1,21 @@
+# $Id$
+# Maintainer: Giovanni Scafora <giovanni at archlinux.org>
+
+pkgname=iwlwifi-6000-ucode
+pkgver=9.176.4.1
+pkgrel=1
+pkgdesc="Intel wireless firmware for Intel's 6000 Series wireless devices"
+arch=('any')
+url="http://intellinuxwireless.org/?p=iwlwifi"
+license=('custom')
+depends=()
+source=(http://intellinuxwireless.org/iwlwifi/downloads/${pkgname}-${pkgver}.tgz)
+md5sums=('d0489d67d88e681eb3070c57daccfd92')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  # Install firmware
+  install -D -m 644 iwlwifi-6000-4.ucode "${pkgdir}/lib/firmware/iwlwifi-6000-4.ucode" || return 1
+  # Install license
+  install -D -m 644 LICENSE.iwlwifi-6000-ucode "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
+}


Property changes on: iwlwifi-6000-ucode/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id

Modified: mercurial/trunk/PKGBUILD
===================================================================
--- mercurial/trunk/PKGBUILD	2009-11-22 00:10:55 UTC (rev 59311)
+++ mercurial/trunk/PKGBUILD	2009-11-22 00:30:19 UTC (rev 59312)
@@ -16,7 +16,8 @@
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
-  python setup.py install --root="${pkgdir}/" || return 1
+  python setup.py build
+  python setup.py install --skip-build --root="${pkgdir}/" || return 1
 
   install -d ${pkgdir}/usr/share/man/{man1,man5}
   install -m644 doc/hg.1 "${pkgdir}/usr/share/man/man1" || return 1
@@ -29,4 +30,6 @@
 
   vimpath="${pkgdir}/usr/share/vim/vimfiles"
   install -Dm644 contrib/vim/HGAnnotate.vim "${vimpath}/syntax/HGAnnotate.vim" || return 1
+  rm -rf ${pkgdir}/usr/lib/python2.6/site-packages/mercurial/*.py
+  rm -rf ${pkgdir}/usr/lib/python2.6/site-packages/mercurial/*.pyc
 }



More information about the arch-commits mailing list